import sys

from r2d2 import store
from solo.configuration import Configuration
from solo.date import date_sequence, JediDate


def store_observations(yaml_file):
    config = Configuration(yaml_file)
    dates = date_sequence(config.start, config.end, config.step)
    provider = config.provider
    type = config.type
    time_window = config.time_window
    source_path = config.source_path
    obs_type = config.obs_type

    for date in dates:
        date = JediDate(date)
        store(
            provider=provider,
            type=type,
            date=date,
            obs_type=obs_type,
            time_window=time_window,
            source_file=f'{source_path}/{date.year()}{date.month()}{date.day()}{date.hour()}T6H_{obs_type}.nc',
        )


if __name__ == '__main__':
    yaml_file = sys.argv[1]
    store_observations(yaml_file)
