from r2d2 import fetch, date_sequence
from solo.logger import Logger
from solo.date import Day
from solo.configuration import Configuration

logger = Logger('gfs_fetch')
config = Configuration('config.yaml')
dates = date_sequence(config.start, config.end, config.step)
file_types = config.file_types
resolutions = config.resolutions
tiles = config.tiles

for date in dates:
    day = str(date).split('T')[0]
    day = Day(date)
    for file_type in file_types:
        for resolution in resolutions:
            for tile in tiles:
                fetch(
                    provider='gfs',
                    type='an',
                    experiment='test',
                    database='archive',
                    date=date,
                    file_type=file_type,
                    tile=tile,
                    resolution=resolution,
                    target_file=f's3://eric-r2d2/$(provider)/$(type)/$(experiment)/{day}/$(provider).$(experiment).$(type).$(obs_type).$(date).$(file_type)',
                    ignore_missing='yes',
                )

