from solo.date import Date, DateIncrement
from r2d2 import store

dates = ['2018-04-14T21:00:00Z', '2018-04-14T22:00:00Z', '2018-04-14T23:00:00Z', 
         '2018-04-15T00:00:00Z', '2018-04-15T01:00:00Z', '2018-04-15T02:00:00Z', '2018-04-15T03:00:00Z']

for date in dates:
    day = date.split('T')[0]
    store(
        type='an',
        model='gfs',
        resolution='c12',
        experiment='test',
        date=date,
        source_file=f's3://r2d2files/fv3/an/{day}/$(model).$(experiment).$(type).$(date).$(resolution).$(file_type).tile$(tile).nc',
        database='archive',
        file_type=('fv_core.res', 'fv_srf_wnd.res', 'fv_tracer.res', 'sfc_data'),
        tile=(1, 2, 3, 4, 5, 6)
    )

    store(
        type='an',
        model='gfs_metadata',
        experiment='test',
        resolution='c12',
        date=date,
        database='archive',
        source_file=f's3://r2d2files/fv3/an/{day}/$(date).coupler.res'
    )
