from solo.date import Date
from r2d2 import store

dates = ['2020-10-01 00:00:00', '2020-10-01 06:00:00', '2020-10-01 12:00:00', '2020-10-01 18:00:00']

for resolution in ('c12', 'c24', 'c96', 'c768'):
    root = f's3://r2d2.archive/gfs/fc/oper/{resolution}'
    for date in dates:
        d = Date(date)
        year = d.format('%Y')
        month = d.format('%m')
        day = d.format('%d')
        store(
            type='fc',
            model='gfs',
            experiment='oper',
            step='PT06H',
            date=date,
            resolution=resolution,
            file_type=['fv_core.res', 'fv_srf_wnd.res', 'fv_tracer.res', 'sfc_data'],
            tile=[1, 2, 3, 4, 5, 6],
            source_file=f'{root}/$(init_year)-$(init_month)-$(init_day)/$(model).$(experiment).$(type).$(step).$(init_date).$(resolution).$(file_type).tile$(tile).nc',
            database='archive'
        )
        # need to archive the metadata (coupler.res)
        store(
            type='fc',
            step='PT06H',
            model='gfs_metadata',
            experiment='oper',
            date=date,
            resolution=resolution,
            source_file=f'{root}/$(init_year)-$(init_month)-$(init_day)/$(init_date).coupler.res',
            database = 'archive'
        )
