from solo.date import Date, DateIncrement
from r2d2 import store

dates = ['2020-09-30T21:00:00Z', '2020-10-01T03:00:00Z', '2020-10-01T09:00:00Z', '2020-10-01T15:00:00']
obs_types = {
    'aircraft': 'aircraft',
    'amsua-metopa': 'amsua_metop-a',
    'amsua-metopb': 'amsua_metop-b',
    'amsua-metopc': 'amsua_metop-c',
    'amsua-n15': 'amsua_n15',
    'amsua-n18': 'amsua_n18',
    'amsua-n19': 'amsua_n19',
    'atms-npp': 'atms_npp',
    'avhrr-metopa': 'avhrr_metop-a',
    'avhrr-n18': 'avhrr_n18',
    'cris-n20': 'cris-fsr_n20',
    'cris-npp': 'cris-fsr_npp',
    'gnssro': 'gnssrobndnbam', 
    'gome-metopa': 'gome_metop-a',
    'gome-metopb': 'gome_metop-b',
    'iasi-metopa': 'iasi_metop-a',
    'iasi-metopb': 'iasi_metop-b',
    'mhs-metopa': 'mhs_metop-a',
    'mhs-metopb': 'mhs_metop-b',
    'mhs-metopc': 'mhs_metop-c',
    'mhs-n19': 'mhs_n19',
    'omi-aura': 'omi_aura',
    'ompsnp-npp': 'ompsnp_npp',
    'ompstc8-npp': 'ompstc8_npp',
    'radiosonde': 'radiosonde',
    'satwind': 'satwind',
    'sbuv2-n19': 'sbuv2_n19',
    'scatwind': 'scatwind',
    'seviri-m08': 'seviri_m08',
    'seviri-m11': 'seviri_m11',
    'sfc': 'sfc',
    'ship': 'ship',
    'ssmis-f17': 'ssmis_f17',
    'ssmis-f18': 'ssmis_f18',
    'sst': 'sst',
    'vadwind': 'vadwind'
}

for date in dates:
    for file_type, obs_type in obs_types.items():
        day = date.split('T')[0]
        store(
            type='obs',
            provider='ncdiag',
            time_window='PT06H',
            date=date,
            obs_type=obs_type,
            source_file=f's3://r2d2files/ioda/{day}/ioda.$(type).$(time_window).{file_type}.$(date).nc4',
            database='archive',
    )

