from solo.date import Date, DateIncrement
from r2d2 import store

dates = [
            '2020-01-01T00:00:00Z', '2020-01-01T06:00:00Z', '2020-01-01T12:00:00Z', '2020-01-01T18:00:00Z',
            '2020-01-02T00:00:00Z', '2020-01-02T06:00:00Z', '2020-01-02T12:00:00Z', '2020-01-02T18:00:00Z'
        ]

window_starts = [str(Date(x) - DateIncrement('PT03H')) for x in dates]
for center_window, window_start in zip(dates, window_starts):
    store(
        type='obs',
        provider='ncdiag',
        obs_type='l95_obs',
        time_window='PT06H',
        date=window_start,
        source_file=f's3://r2d2files/l95.truth.{center_window}.obt',
        database='archive'
    )

store(
    type='an',
    model='l95',
    experiment='test',
    date='2019-12-31T18:00:00Z',
    resolution=40,
    source_file=f's3://r2d2files/test.an.2019-12-31T18:00:00Z.l95',
    database='archive'
)

