from solo.date import Date, DateIncrement
from r2d2 import store

dates = ['2020-06-24T00:00:00Z', '2020-06-24T06:00:00Z', '2020-06-24T12:00:00Z', '2020-06-24T18:00:00Z']

window_starts = [str(Date(x) - DateIncrement('PT03H')) for x in dates]
for obs_type in ('qg_stream', 'qg_wind', 'qg_wspeed'):
    original_type = obs_type.replace('qg_', '')
    for center_window, window_start in zip(dates, window_starts):
        store(
            type='obs',
            provider='ncdiag',
            obs_type=obs_type,
            time_window='PT06H',
            date=window_start,
            source_file=f's3://r2d2files/truth.qg.{center_window}.{original_type}.nc4',
            database='archive'
        )

store(
    type='an',
    model='qg',
    experiment='ref',
    date='2020-06-23T18:00:00Z.nc',
    resolution='40x20',
    source_file=f's3://r2d2files/ref.qg.an.2020-06-23T18:00:00Z.nc',
    database='archive'
)

