import os
from solo.date import Hour, JediDate, DateIncrement
from solo.logger import Logger
from r2d2 import store, date_sequence

obs_types = [
    'amsua_metop-a',
    'amsua_metop-b',
    'amsua_metop-c',
    'amsua_n15',
    'amsua_n18',
    'amsua_n19',
    'atms_n20',
    'atms_npp',
    'avhrr_metop-a',
    'avhrr_n18',
    'cris-fsr_n20',
    'cris-fsr_npp',
    'iasi_metop-a',
    'iasi_metop-b',
    'mhs_metop-a',
    'mhs_metop-b',
    'mhs_metop-c',
    'mhs_n19',
    'amsua_metop-a',
    'amsua_metop-b',
    'amsua_metop-c',
    'amsua_n15',
    'amsua_n18',
    'amsua_n19',
    'atms_n20',
    'atms_npp',
    'avhrr_metop-a',
    'avhrr_n18',
    'cris-fsr_n20',
    'cris-fsr_npp',
    'iasi_metop-a',
    'iasi_metop-b',
    'mhs_metop-a',
    'mhs_metop-b',
    'mhs_metop-c',
    'mhs_n19',
    'seviri_m08',
    'seviri_m11',
    'ssmis_f17',
    'ssmis_f18',
    'seviri_m08',
    'seviri_m11',
    'ssmis_f17',
    'ssmis_f18'
]

logger = Logger('bias')
root = '/work/noaa/da/fdiniz/satbias4jedi-gdas'
#dates = date_sequence(2020121500, 2021011500, 6)
dates = date_sequence(2021011006, 2021011500, 6)

for date in dates:
    d = Hour(date).format('%Y%m%d%H')
    dd = str(Hour(date) - DateIncrement('PT6H'))

    source = os.path.join(root, d, f'satbias_$(obs_type).nc4')
    store(
        type='bc',
        provider='gsi',
        experiment='oper',
        date=dd,
        obs_type=obs_types,
        file_type='satbias',
        source_file=source,
        ignore_missing='yes',
    )

    source = os.path.join(root, d, f'$(obs_type)_tlapmean.txt')
    store(
        type='bc',
        provider='gsi',
        experiment='oper',
        date=dd,
        obs_type=obs_types,
        file_type='tlapse',
        source_file=source,
        ignore_missing='yes',
    )


