import sys

from r2d2 import store
from solo.configuration import Configuration


def store_media(yaml_file):
    config = Configuration(yaml_file)
    date = config.date
    source_dir = config.source_dir
    type = config.type
    experiment = config.experiment
    time_window = config.time_window
    file_format = config.file_format
    plot_type = config.plot_type
    variables = config.variables
    obs_type = config.obs_type

    for variable in variables:
        store(
            date=date,
            type=type,
            experiment=experiment,
            time_window=time_window,
            file_format=file_format,
            plot_type=plot_type,
            variable=variable,
            obs_type=obs_type,
            source_file=f'{source_dir}/abi_g16_bt.{variable}.{date}.{file_format}',
            database='media',
            ignore_missing=False,
        )


if __name__ == '__main__':
    yaml_file = sys.argv[1]
    store_media(yaml_file)