import sys

from r2d2 import store
from solo.configuration import Configuration
from solo.date import date_sequence, JediDate, DateIncrement


def store_obs(yaml_file):
    config = Configuration(yaml_file)
    dates = date_sequence(config.start, config.end, config.step)
    obs_type = config.obs_type
    provider = config.provider
    type = config.type
    source_dir = config.source_dir
    step = config.step

    for date in dates:
        date = JediDate(date)
        window_start = str(date - DateIncrement('PT12H'))

        store(
            provider=provider,
            type=type,
            database='local',
            date=window_start,
            obs_type=obs_type,
            time_window=step,
            source_file=f'{source_dir}/ghcn_snod_{date}.nc4',
            ignore_missing=True,
        )


if __name__ == '__main__':
    yaml_file = sys.argv[1]
    store_obs(yaml_file)
