#
# EWOK
#
# setup.py - Python setuptools integration
#

import setuptools
import os

script_dir = 'src/r2d2/bin'
scripts = [os.path.join(script_dir, x) for x in os.listdir(script_dir)]

setuptools.setup(
    name='r2d2',
    version='1.0.0',
    author='JCSDA',
    description='R2D2 -- Research Repository for Data and Diagnostics',
    url='https://github.com/jcsda/r2d2',
    package_dir = {'':'src'},
    packages = setuptools.find_packages(where='src') + ['r2d2.language.schema'],
    classifiers=[
        'Development Status :: 1 - Planning',
        'Environment :: Console',
        'Intended Audience :: Science/Research',
        'Programming Language :: Python :: 3 :: Only',
        'License :: OSI Approved :: Apache Software License',
        'Natural Language :: English',
        'Operating System :: OS Independent'],
    python_requires='>=3.6',
    install_requires=[
        'pyyaml>=5.3.1',
        'boto3',
    ],
    package_data={
        '': ['*.yaml'],
    },
    include_package_data=True,
    scripts=scripts
)
