from solo.date import Date, DateIncrement


class DateHandler:

    @staticmethod
    def format_date(date, date_format):
        """
            Some formatting
        """
        return Date(date).format(date_format)

    @classmethod
    def manage_dates(cls, request, archive_format, user_format):
        """
            Forecast dates can be interpreted either as:
            - analysis date and step
            - verification date (analysis date + step) and step
            Depending on what the user wants for their files and what is used in the archive
            we calculate the correct date.
        """
        if 'date' in request:
            init_date = Date(request['date'])
            valid_date = Date(request['date'])
            date = Date(request['date'])
            if request['_kind'] == 'forecast':
                if request.fc_date_rendering == 'verification':
                    valid_date = str(date)
                    init_date = date - DateIncrement(request[request['_step_field']])
                else:
                    init_date = str(date)
                    valid_date = date + DateIncrement(request[request['_step_field']])
            for d, name in [(request['date'], ''), (init_date, 'init_'), (valid_date, 'valid_')]:
                d = Date(d)
                request[name + 'year'] = d.format('%Y')
                request[name + 'month'] = d.format('%m')
                request[name + 'day'] = d.format('%d')
                request[name + 'hour'] = d.format('%H')
            for date_format, prefix in [(archive_format, 'archive_'), (user_format, '')]:
                request[prefix + 'init_date'] = cls.format_date(init_date, date_format)
                request[prefix + 'valid_date'] = cls.format_date(valid_date, date_format)
            request['date'] = cls.format_date(request['date'], user_format)
        return request
