from solo.template import TemplateConstants, Template
from .base import Base
from ..date_handler import DateHandler


class Store(Base):

    def action(self, request, database):
        # if there is not date format, we revert to either the site config one
        # of the default one.
        if not len(request['user_date_format']):
            request['user_date_format'] = database.get('user_date_format', request.default_user_date_format)
        request = DateHandler.manage_dates(request=request,
                                           archive_format=self.settings.storage_date_format,
                                           user_format=request.user_date_format)
        archive_side_request = self.archive_side_request(request)
        # source, local file from the user. We need to potentially convert the date
        source = Template.substitute_string(request.source_file, TemplateConstants.DOLLAR_PARENTHESES, request.get)

        # destination file in the R2D2 archive, filename template
        template = self.get_template(request)
        target = Template.substitute_string(template, TemplateConstants.DOLLAR_PARENTHESES, archive_side_request.get)
        database.store_data(source, target, request, archive_side_request)


store = Store
