import os
from collections import defaultdict

template = """
    @staticmethod
    def test_NAME():
        run_queries('FILE')
"""

def create_list(path):
    file_list = defaultdict(list)
    for dirpath, dirnames, filenames in os.walk(path):
        model = os.path.basename(dirpath)
        for filename in filenames:
            parts = filename.split('.')
            if parts[-1] == 'yaml':
                file_list[model].append(os.path.join(dirpath, filename))
    return file_list

def create_functions():
    functions = []
    file_list = create_list('data')
    for model, files in file_list.items():
        for filename in files:
            name = os.path.basename(filename).replace('.yaml', '')
            name = name.replace('-','_')
            function = template.replace('NAME', name)
            function = function.replace('FILE', os.path.join('tests', filename))
            functions.append(function)
    with open('template.py') as f:
        t = f.read()
        t = t.replace('FUNCTIONS','\n'.join(functions))
        with open('test_r2d2.py', 'w') as g:
            g.write(t)

create_functions()
